Page MenuHomePhabricator

[clang-doc] Add unit tests for serialization
ClosedPublic

Authored by juliehockett on Oct 10 2018, 7:41 AM.

Details

Summary

This is part of a move to convert clang-doc's tests to a more maintainable unit test framework, with a smaller number of integration tests to maintain and more granular failure feedback.

Diff Detail

Event Timeline

juliehockett created this revision.Oct 10 2018, 7:41 AM
phosek added inline comments.Oct 14 2018, 7:59 PM
clang-tools-extra/unittests/clang-doc/SerializeTest.cpp
27 ↗(On Diff #169010)

Nit: this function seems to be wrongly indented.

40 ↗(On Diff #169010)

Nit: this should be /*Line=*/ for consistency, the same below.

juliehockett marked 2 inline comments as done.
phosek added inline comments.Oct 15 2018, 1:56 PM
clang-tools-extra/unittests/clang-doc/SerializeTest.cpp
320 ↗(On Diff #169748)

Can you use raw strings here (and elsewhere in this file) as well?

juliehockett marked an inline comment as done.
jakehehrlich accepted this revision.Oct 15 2018, 2:12 PM

LGTM, I'd file a bug about SmallString not taking const char* in its constructor and I'd also put a TODO somewhere to fix that once that's resolved.

This revision is now accepted and ready to land.Oct 15 2018, 2:12 PM
This revision was automatically updated to reflect the committed changes.